# $Revision: 1.20 $, $Date: 2009/03/27 23:08:11 $
%define		orgname	kdeplasma-addons
%define		_state	stable
%define		_qtver	4.5.0

Summary:	KDE4 Plasmoids
Summary(pl.UTF-8):	Plazmoidy dla KDE4
Name:		kde4-kdeplasma-addons
Version:	4.2.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	809887da8ee9f7674761e0f46fa966a2
Patch100:	%{name}-branch.diff
Patch0:		%{name}-pastebinpld.patch
URL:		http://www.kde.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	QtCore-devel >= %{_qtver}
BuildRequires:	QtNetwork-devel >= %{_qtver}
BuildRequires:	QtOpenGL-devel >= %{_qtver}
BuildRequires:	QtScript-devel >= %{_qtver}
BuildRequires:	QtSvg-devel >= %{_qtver}
BuildRequires:	QtWebKit-devel >= %{_qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.6.2
BuildRequires:	kde4-kdebase-workspace-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
BuildRequires:	phonon-devel >= 4.3.1
BuildRequires:	qt4-build >= %{_qtver}
BuildRequires:	qt4-qmake >= %{_qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	strigi-devel >= 0.6.3
BuildRequires:	xorg-lib-libXtst-devel
Obsoletes:	kde4-kdeplasmoids
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE4 plasmoids.

%description -l pl.UTF-8
Plazmoidy dla KDE4.

%package lancelot
Summary:	Lancelot Desktop Theme
Summary(pl.UTF-8):	Motyw pulpitu Lancelot
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}

%description lancelot
Lancelot Desktop Theme.

%description lancelot -l pl.UTF-8
Motyw pulpitu Lancelot.

%prep
%setup -q -n %{orgname}-%{version}
#%patch100 -p0
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=%{!?debug:release}%{?debug:debug} \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	lancelot	-p /sbin/ldconfig
%postun	lancelot	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/krunner_*.so
%attr(755,root,root) %{_libdir}/kde4/kcm_krunner_*.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_*.so
%attr(755,root,root) %{_libdir}/kde4/plasma_comic_*.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_*.so
%attr(755,root,root) %{_libdir}/kde4/plasma_packagestructure_comic.so
%attr(755,root,root) %ghost %{_libdir}/libplasmacomicprovidercore.so.?
%attr(755,root,root) %{_libdir}/libplasmacomicprovidercore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplasmaconverter.so.?
%attr(755,root,root) %{_libdir}/libplasmaconverter.so.*.*.*
%{_datadir}/apps/desktoptheme/Aya
%{_datadir}/apps/desktoptheme/Elegance
%{_datadir}/apps/desktoptheme/Silicon
%dir %{_datadir}/apps/desktoptheme/default/stylesheets
%{_datadir}/apps/desktoptheme/default/stylesheets/*
%dir %{_datadir}/apps/desktoptheme/default/weatherstation
%{_datadir}/apps/desktoptheme/default/weatherstation/*
%{_datadir}/apps/desktoptheme/default/widgets/*
%{_datadir}/apps/desktoptheme/heron
%{_datadir}/apps/desktoptheme/slim-glow
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/servicetypes/plasma_comicprovider.desktop
#%{_iconsdir}/hicolor/scalable/apps/fifteenpuzzle.svgz
%{_datadir}/config/comic.knsrc
%dir %{_datadir}/apps/desktoptheme/default/rssnow
%{_datadir}/apps/desktoptheme/default/rssnow/background.svgz
%{_datadir}/apps/desktoptheme/default/rssnow/left.svgz
%{_datadir}/apps/desktoptheme/default/rssnow/right.svgz
%{_datadir}/apps/desktoptheme/default/rssnow/rssnow.svgz
%dir %{_datadir}/apps/rssnow
%{_datadir}/apps/rssnow/feeds
%{_iconsdir}/*/*x*/apps/previewer.png
#%{_iconsdir}/oxygen/scalable/apps/bball.svgz
%{_datadir}/kde4/services/ServiceMenus/preview.desktop
%dir %{_datadir}/apps/bball
%{_datadir}/apps/bball/bball.svgz
%{_datadir}/apps/bball/bounce.ogg
%{_datadir}/apps/bball/football.svgz
%{_datadir}/apps/plasma-bluemarble
%{_datadir}/apps/plasma/services/tweet.operations

%files lancelot
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lancelot
%attr(755,root,root) %ghost %{_libdir}/liblancelot.so.?
%attr(755,root,root) %{_libdir}/liblancelot.so.*.*.*
%{_datadir}/apps/desktoptheme/default/lancelot
%{_datadir}/dbus-1/services/org.kde.lancelot.service
%{_datadir}/mime/packages/lancelotpart-mime.xml
%{_iconsdir}/hicolor/*x*/apps/lancelot.png
%{_iconsdir}/hicolor/*x*/apps/lancelot-part.png

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdeplasma-addons.spec,v $
Revision 1.20  2009/03/27 23:08:11  shadzik
- 4.2.2

Revision 1.19  2009/03/23 22:44:16  shadzik
- add branch.diff
- rel 2

Revision 1.18  2009/02/27 16:00:16  shadzik
- 4.2.1
- bluemarble seems to be back

Revision 1.17  2009/02/20 12:15:49  shadzik
- release 5

Revision 1.16  2009/02/20 11:53:58  shadzik
- conditional release/debug build (thx glen)

Revision 1.15  2009/02/20 10:55:20  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.14  2009/02/06 16:29:26  qboosh
- pl fix

Revision 1.13  2009/02/03 14:08:42  shadzik
- merged from DEVEL
- 4.2.0 stable
- rel 3

Revision 1.9.2.34  2009/01/22 19:30:59  shadzik
- updated automoc4 BR; rel 2

Revision 1.9.2.33  2009/01/22 15:09:22  shadzik
- 4.2.0

Revision 1.9.2.32  2009/01/13 00:28:59  shadzik
- updated strigi and phonon BRs

Revision 1.9.2.31  2009/01/07 19:49:03  shadzik
- 4.2 RC1

Revision 1.9.2.30  2009/01/05 17:53:39  glen
- revert source url change

Revision 1.9.2.29  2009/01/03 17:35:04  rotom
- up to 4.1.87
- new Source URL

Revision 1.9.2.28  2008/12/15 15:32:27  shadzik
- 4.1.85

Revision 1.9.2.27  2008/12/08 15:54:32  paszczus
- updated to 4.1.82

Revision 1.9.2.26  2008/12/07 01:38:32  glen
- BR: qtscript-devel,qtwebkit-devel
- paste to pld.pastebin.com; rel 2

Revision 1.9.2.25  2008/11/29 04:14:14  shadzik
- 4.1.81

Revision 1.9.2.24  2008/11/26 21:51:28  paszczus
- updated phonon BR

Revision 1.9.2.23  2008/11/26 21:27:36  paszczus
- updated to 4.1.80 (4.2 beta1)
- removed lancelot.patch

Revision 1.9.2.22  2008/11/14 08:56:31  paszczus
- updated to 4.1.73

Revision 1.9.2.21  2008/11/06 09:17:33  shadzik
- add patch0 (lancelot is back)

Revision 1.9.2.20  2008/11/06 09:03:58  shadzik
- 4.1.72
- no lancelot here

Revision 1.9.2.19  2008/10/23 20:23:40  rotom
- up to 4.1.71

Revision 1.9.2.18  2008/10/19 21:19:46  shadzik
- add comic.knsrc

Revision 1.9.2.17  2008/10/19 21:05:50  paszczus
- one more parent dir

Revision 1.9.2.16  2008/10/19 19:43:13  paszczus
- reverted

Revision 1.9.2.15  2008/10/19 19:11:00  paszczus
- and few more

Revision 1.9.2.14  2008/10/19 18:59:40  paszczus
- more parent dirs

Revision 1.9.2.13  2008/10/18 21:20:54  paszczus
- updated to 4.1.70

Revision 1.9.2.12  2008/10/10 12:39:16  paszczus
- updated to 4.1.69

Revision 1.9.2.11  2008/10/02 16:23:34  paszczus
- parent dirs

Revision 1.9.2.10  2008/10/02 15:00:31  paszczus
- updated to 4.1.68

Revision 1.9.2.9  2008/09/20 13:03:15  paszczus
- updated to 4.1.67

Revision 1.9.2.8  2008/09/06 01:18:19  paszczus
- more files

Revision 1.9.2.7  2008/09/04 20:06:11  paszczus
- updated to 4.1.65

Revision 1.9.2.6  2008/08/31 16:41:17  wolf
- 4.1.64

Revision 1.9.2.5  2008/08/23 14:16:38  paszczus
- updated to 4.1.63

Revision 1.9.2.4  2008/08/17 22:38:21  shadzik
- 4.1.62

Revision 1.9.2.3  2008/08/15 11:58:09  shadzik
- cmake fix now in cmake itself

Revision 1.9.2.2  2008/08/12 08:04:06  shadzik
- added BRs from HEAD

Revision 1.9.2.1  2008/08/11 12:18:08  shadzik
- 4.1.61
- updated BRs
- cmake > 2.6.0 fix
- -lancelot subpackage (NOTE: i'm not sure about the description)

Revision 1.9  2008/07/25 16:57:31  qboosh
- complete URL

Revision 1.8  2008/07/25 11:53:39  shadzik
- add patch0

Revision 1.7  2008/07/25 11:52:30  shadzik
- add URL

Revision 1.6  2008/07/25 11:49:00  shadzik
- change state to stable

Revision 1.5  2008/07/25 11:46:25  shadzik
- 4.1.0

Revision 1.4  2008/07/22 17:09:14  qboosh
- BR fix, made pl more pl

Revision 1.3  2008/07/22 14:54:19  shadzik
- BR: OpenGL-GL[U]-devel
- rel 3

Revision 1.2  2008/07/22 14:27:45  shadzik
- BR: QtOpenGL-devel
- rel 2

Revision 1.1  2008/07/15 19:11:15  shadzik
- from kde4-kdeplasmoids.spec
- 4.0.98

Revision 1.4  2008/07/05 19:29:41  shadzik
- 4.0.85

Revision 1.3  2008/06/25 19:14:43  shadzik
- files
- dunno if -devel will be needed, so don't package devel files

Revision 1.2  2008/06/25 18:54:10  shadzik
- BRs
- fix %setup

Revision 1.1  2008/06/25 18:50:54  shadzik
- initial
- NFY
